import { GeorouterProviderPort } from '@modules/ad/core/application/ports/georouter-provider.port';

export const bareMockGeorouter: GeorouterProviderPort = {
  getRoute: jest.fn(),
};

export const simpleMockGeorouter: GeorouterProviderPort = {
  getRoute: jest.fn().mockImplementation(() => ({
    distance: 350101,
    duration: 14422,
    fwdAzimuth: 273,
    backAzimuth: 93,
    distanceAzimuth: 336544,
    points: [],
  })),
};
